@charset "utf-8";

/* modal */
/* .ws-modal-open,
.ws-modal-open body { overflow: hidden; } */

.ws-modal-wrap { display: flex; flex-direction: column; align-items: center; justify-content: center; position: fixed; top: 0; left: 0; z-index: 1000; width: 100%; height: 100%; overflow: hidden; background: rgba(0,0,0,.7); opacity: 0; transition: opacity 0.25s ease;}
.ws-modal-wrap.ws-modal-visible { opacity: 1; }
.ws-modal-wrap.ws-modal-leave { opacity: 0; }

.ws-modal-outer {position:relative; flex:0 0 auto; width:100%; max-height:100%; padding:20px; overflow:auto; -ms-overflow-style:none;/* IE and Edge */ scrollbar-width:none;/* Firefox */ padding-top: 120px; }
.ws-modal-outer::webkit-scrollbar {display:none;}

.ws-modal-inner { position: relative; width: 100%; max-width: 800px; margin: 0 auto; background: #fff; opacity: 0; transform: scale(0.85); transition: opacity 0.25s ease 0.05s, transform 0.25s ease 0.05s; }
.ws-modal-wrap.ws-modal-visible .ws-modal-inner { opacity: 1; transform: scale(1); }
.ws-modal-wrap.ws-modal-leave .ws-modal-inner { opacity: 0; transform: scale(0.85); transition-delay: 0s; }
.ws-modal-close { display: inline-block; border: none; width: 90px; height: 44px; display: flex; align-items: center; padding: 0 20px; position: absolute; right: 0; top: -54px; color: #fff; font-weight: 500; border-radius: 22px; background: var(--color-third);}
.ws-modal-close::after { content: ""; position: absolute; right: 16px; top: 0; bottom: 0; margin: auto; width: 18px; height: 18px; background: url(../images/main/modal-close.png) center no-repeat; background-size: contain; }

/* 반응형 */
@media (max-width: 1024px) {

}
@media (max-width: 640px) {

}
@media (max-width: 420px) {

}